=== debian/changelog ===
mesaflash (3.4.0-2) unstable; urgency=medium

  * Revised d/copyright

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 20 Nov 2021 17:52:00 +0100

mesaflash (3.4.0-1) UNRELEASED; urgency=medium

  * Cosmetics in preparation of upload to Debian.
  * Several bug fixes.
  * Fixes for PCI on Raspberry Pi Compute Module 4.
  * Better daughter-board reporting.
  * No longer support building on Windows.
  * Better IO error detection and handling.

 -- LinuxCNC Developers <emc-developers@lists.sourceforge.net>  Mon, 27 Sep 2021 16:36:14 -0600

mesaflash (3.4.0~pre1-1) UNRELEASED; urgency=medium

  * Add a manpage.
  * Fix several compile warnings.
  * Add `--device AUTO` and `--device SPI`.

 -- LinuxCNC Developers <emc-developers@lists.sourceforge.net>  Fri, 22 May 2020 10:30:23 -0600

mesaflash (3.4.0~pre0-1) UNRELEASED; urgency=medium

  * mesaflash is now maintained by the LinuxCNC organization.

 -- LinuxCNC Developers <emc-developers@lists.sourceforge.net>  Thu, 23 Apr 2020 10:34:49 -0600

mesaflash (3.3.0~pre0+dfsg-0) UNRELEASED; urgency=low

  * support Mesa 7i93 ethernet board
  * support Mesa 7i96 ethernet board
  * Verify firmware after writing
  * Many bug fixes

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 27 Jun 2017 21:52:31 -0600

mesaflash (3.2.1) UNRELEASED; urgency=low

  * Fix some compile warnings and link issues on Debian Stretch.

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 27 Jun 2017 10:25:59 -0600

mesaflash (3.2.0) UNRELEASED; urgency=low

  * Don't check bitfile destinations while gpio recovering 6i24/6i25 boards
  * Use modules base address from module descriptor, not from regmap
  * Don't check bitfile id for 5i24 and 6i24 while --write and --verify
  * Fix support for 7i92, 5i24 and 6i24
  * Add support for 6i24 PCIE board
  * Improve and clean reporting sserial remote data
  * Show FPGA programming time in verbose mode
  * Always show full info about bit file while using 'info' command
  * Add xml output from 'readhmid' command to use with pncconf

 -- Michael Geszkiewicz <micges@wp.pl>  27 Sep 2015 19:24:42 -0500

mesaflash (3.1.0) UNRELEASED; urgency=low

  * First stable release.
  * Support 7i90HD under linux in SPI and rs422 mode
  * Better EPP support
  * Support ICAP firmware reloading on ethernet and pci boards.
  * Print more debug data in verbose mode
  * Use default device address (0x378 for epp and 192.168.1.121 for eth)
    if --addr option is missing in command line
  * Reduce overhead of verify operation (thanks jepler)
  * Don't write and verify flash if bitfile destination part name is not
    equal to current board fpga name
  * Add support for 7i92 ethernet board
  * Update windows port
  * Correctly generates *.pin files with option --readhmid
  * Show details about connected sserial devices with --sserial
  * Factor out all libanyio access code to external static library
  * Add support for write/verify eeprom on 7i43 board via EPPIO bitfile
  * Add command to set remote ip address in ethernet eeprom
  * Remove obsolete command line options
  * Add example programs how to use libanyio to communicate with 7i77
    (encoder in and analog out)

 -- Michael Geszkiewicz <micges@wp.pl>  Sat, 24 Nov 2014 01:07:22 -0500

mesaflash (3.0.0) UNRELEASED; urgency=low

  * Initial release.

 -- Michael Geszkiewicz <micges@wp.pl>  Sat, 19 Apr 2014 21:03:31 -0500
