=== debian/control ===
Source: mesaflash
Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
Uploaders: Sebastian Kuzminsky <seb@highlab.com>, Jeff Epler <jepler@gmail.com>
Section: misc
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
               libpci-dev,
               pkg-config
Vcs-Browser: https://github.com/linuxcnc/mesaflash
Vcs-git: https://github.com/LinuxCNC/mesaflash.git -b master

Package: mesaflash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mesa Electronics utility tool
 This package provides a tool for the configuration and/or diagnosis of
 Mesa Electronics boards. The cards provide I/O channels for robotics
 applications and have a strong user base in the LinuxCNC community.
 This tool works for all cards, be they directly plugged into your
 computer via PCI(E) or connected by a cable (ETH/EPP/USB/SPI).
