## mesaflash 3.4.2

=== debian/changelog ===
mesaflash (3.4.2-1) unstable; urgency=medium

  * Switch from openssl to libmd for sha256.

  * Upload sponsored by Petter Reinholdtsen.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sun, 16 Jan 2022 09:47:57 -0700

mesaflash (3.4.1-1) unstable; urgency=medium

  * Add --backup-flash and --restore-flash command-line options.
  * Add --sha256-check command-line option.
  * Fix building on more platforms that lack sys/io.h.
  * Add Homepage link, fix Source link.  Closes: #1001880

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 15 Jan 2022 12:38:11 -0700
