=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                libpci-dev,
+               libmd-dev,
                pkg-config
+Homepage: https://github.com/LinuxCNC/mesaflash
 Vcs-Browser: https://github.com/linuxcnc/mesaflash
-Vcs-git: https://github.com/LinuxCNC/mesaflash.git -b master
+Vcs-Git: https://github.com/LinuxCNC/mesaflash.git -b master
 
 Package: mesaflash
 Architecture: any
