=== debian/changelog ===
mesaflash (3.4.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089387)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 14:49:53 +0000

mesaflash (3.4.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add support for loongarch64 (Closes: #1074041)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 15:48:44 +0200

mesaflash (3.4.6-1) unstable; urgency=medium

  * Add new Mesa boards: 7C81, 7I96S, 7I92T
  * Add OutM and OneShoto module support.
  * Add backup/restore for PCI cards.
  * Add support for Efinix FPGAs.
  * Show daughterboards better.
  * Add --print-lio to show Local I/O pins.
  * Add --version.
  * Better manpage and --help info.
  * Misc bugfixes.

  * Upload sponsored by Petter Reinholdtsen.

 -- Sebastian Kuzminsky <seb@highlab.com>  Sat, 05 Nov 2022 12:38:09 -0600
