=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Sebastian Kuzminsky <seb@highlab.com>, Jeff Epler <jepler@gmail.com>
 Section: misc
 Priority: optional
+Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                libpci-dev,
