=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/mesaflash/usr OWNERSHIP= install

.PHONY: get-orig-source
get-orig-source: $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz

$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz:
	git archive --prefix="mesaflash/" HEAD | xz --compress > $@
