## mesaflash 3.4.9%2Bgit20250302

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,18 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/architecture.mk
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/pkg-info.mk
+
+# Makefile uses uname, which is wrong for cross builds.
+MESAFLASH_IO:=$(if $(wildcard /usr/include/$(DEB_HOST_MULTIARCH)/asm/io.h),1,0)
+export MESAFLASH_IO
 
 %:
 	dh $@
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$$(pwd)/debian/mesaflash/usr OWNERSHIP= install
+	$(MAKE) DESTDIR=$$(pwd)/debian/mesaflash/usr install
 
 .PHONY: get-orig-source
 get-orig-source: $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
