=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: mesaflash
 Maintainer: LinuxCNC Developers <emc-developers@lists.sourceforge.net>
-Uploaders: Sebastian Kuzminsky <seb@highlab.com>, Jeff Epler <jepler@gmail.com>
+Uploaders: Sebastian Kuzminsky <seb@highlab.com>,
+           Jeff Epler <jepler@gmail.com>,
+           Andy Pugh <andy@bodgesoc.org>
 Section: misc
 Priority: optional
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
-Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.7.2
+Build-Depends: debhelper (>= 9),
                libpci-dev,
                libmd-dev,
-               pkg-config
+               pkgconf
+Rules-Requires-Root: binary-targets
 Homepage: https://github.com/LinuxCNC/mesaflash
 Vcs-Browser: https://github.com/linuxcnc/mesaflash
 Vcs-Git: https://github.com/LinuxCNC/mesaflash.git -b master
